<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Document</title>
</head>

<body>
    <div class="container">
        <div class="text-center my-4">
            <h3 class="text-info">Danh sách người dùng</h3>
        </div>
        <table class="table table-bordered table-striped table-hover" id="table-users">
            <thead>
                <tr>
                    <th>STT</th>
                    <th>Name</th>
                    <th>UserName</th>
                    <th>Email</th>
                    <th>Address</th>
                    <th>Zip Code</th>
                    <th>Phone</th>
                    <th>Company</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
</body>
<script>
    const vBASE_URL = "https://jsonplaceholder.typicode.com/users/";
    $(document).ready(function () {
        onPageLoading();
    });
    function onPageLoading() {
        $.ajax({
            url: vBASE_URL,
            type: 'GET',
            dataType: 'json',
            success: function (responseObject) {
                console.log(responseObject);
                showDataUser(responseObject);
            },
            error: function (ajaxContext) {
                alert(ajaxContext.responseText);
            }
        });
    }
    function showDataUser(paramArr) {
        var vTable = $("#table-users tbody");
        vTable.html("");
        for (var bI = 0; bI < paramArr.length; bI++) {
            var bNewRow = $("<tr>").appendTo(vTable);
            $("<td>").html(paramArr[bI].id)
                .appendTo(vTable);
            $("<td>").html(paramArr[bI].name)
                .appendTo(vTable);
            $("<td>").html(paramArr[bI].username)
                .appendTo(vTable);
            $("<td>").html(paramArr[bI].email)
                .appendTo(vTable);
            $("<td>").html(paramArr[bI].address.street + ", " + paramArr[bI].address.suite + ", " + paramArr[bI].address.city)
                .appendTo(vTable);
            $("<td>").html(paramArr[bI].address.zipcode)
                .appendTo(vTable);
            $("<td>").html(paramArr[bI].phone)
                .appendTo(vTable);
            $("<td>").html(paramArr[bI].company.name)
                .appendTo(vTable);
            var bCellAction = $("<td>").addClass("btn-group").appendTo(vTable);
            var bDetailButton = $("<button>", { html: "Chi tiết" })
                .addClass("btn btn-info")
                .data("id", paramArr[bI].id)
                .appendTo(bCellAction);
            bDetailButton.click(onClickDetail);
        }
    }
    function onClickDetail(paramArr) {
        
        var vId = $(paramArr.currentTarget).data("id");
        console.log(vId);
    }
</script>

</html>